VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1050
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   7185
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   1050
   ScaleWidth      =   7185
   Begin VB.CommandButton cmdDeleteLines 
      Caption         =   "Delete Lines"
      Height          =   375
      Left            =   5880
      TabIndex        =   4
      Top             =   360
      Width           =   1215
   End
   Begin VB.TextBox txtTarget 
      Height          =   285
      Left            =   840
      TabIndex        =   3
      Text            =   "ado"
      Top             =   600
      Width           =   4815
   End
   Begin VB.TextBox txtFile 
      Height          =   285
      Left            =   840
      TabIndex        =   0
      Text            =   "C:\Temp\Subs.txt"
      Top             =   240
      Width           =   4815
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Target"
      Height          =   195
      Index           =   1
      Left            =   120
      TabIndex        =   2
      Top             =   600
      Width           =   465
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "File"
      Height          =   195
      Index           =   0
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   240
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function GetTempPath Lib "kernel32" Alias "GetTempPathA" (ByVal nBufferLength As Long, ByVal lpBuffer As String) As Long
Private Declare Function GetTempFileName Lib "kernel32" Alias "GetTempFileNameA" (ByVal lpszPath As String, ByVal lpPrefixString As String, ByVal wUnique As Long, ByVal lpTempFileName As String) As Long

Private Sub cmdDeleteLines_Click()
Const MAX_PATH = 260
Const NAME_LEN = MAX_PATH + 80

Dim temp_path As String
Dim temp_name As String
Dim inname As String
Dim strlen As Integer
Dim target As String
Dim deleted As Integer

    On Error GoTo DeleteLineError

    ' Get a temporary file name.
    temp_path = Space$(NAME_LEN)
    strlen = GetTempPath(NAME_LEN, temp_path)
    If strlen = 0 Then
        MsgBox "Error getting temporary file path."
        Exit Sub
    Else
        temp_path = Left$(temp_path, strlen)
    End If

    temp_name = Space$(NAME_LEN)
    If GetTempFileName(temp_path, "tmp", _
        0, temp_name) = 0 _
    Then
        MsgBox "Error getting temporary file name."
        Exit Sub
    End If
    strlen = InStr(temp_name, vbNullChar) - 1
    If strlen > 0 Then temp_name = Left$(temp_name, strlen)

    MousePointer = vbHourglass
    DoEvents

    ' Delete the lines.
    deleted = DeleteLines(txtFile.Text, temp_name, txtTarget.Text)

    ' Delete the original file.
    Kill txtFile.Text

    ' Give the new file the old name.
    Name temp_name As txtFile.Text

    MousePointer = vbDefault
    MsgBox Format$(deleted) & " lines deleted."
    Exit Sub

DeleteLineError:
    MousePointer = vbDefault
    MsgBox Err.Description
    Exit Sub
End Sub
' Remove the target lines from from_name and
' save the result in to_name. Return the
' number of lines deleted.
Private Function DeleteLines(ByVal from_name As String, ByVal to_name As String, ByVal target As String) As Long
Dim strlen As Integer
Dim from_file As Integer
Dim to_file As Integer
Dim one_line As String
Dim deleted As Integer

    ' Open the input file.
    from_file = FreeFile
    Open from_name For Input As from_file

    ' Open the output file.
    to_file = FreeFile
    Open to_name For Output As to_file

    ' Copy the file skipping lines containing the
    ' target.
    deleted = 0
    Do While Not EOF(from_file)
        Line Input #from_file, one_line
        If InStr(one_line, target) = 0 Then
            Print #to_file, one_line
        Else
            deleted = deleted + 1
        End If
    Loop

    ' Close the files.
    Close from_file
    Close to_file

    DeleteLines = deleted
End Function

Private Sub Form_Load()
Dim dir_name As String

    dir_name = App.Path
    If Right$(dir_name, 1) <> "\" Then dir_name = dir_name & "\"
    txtFile.Text = dir_name & "test.txt"
End Sub


